View Issue Details

IDProjectCategoryView StatusLast Update
0002690SOGoWeb Calendarpublic2016-06-10 08:40
Reportergturner Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version7 (Wheezy)
Product Version2.2.2 
Fixed in Version2.3.12 
Summary0002690: Creating CalDAV event from Evolution results in one hour offset in SOGo UI
Description

Creating CalDAV event from Evolution results in one hour offset in SOGo UI

Steps To Reproduce
  1. Using Evolution 3.8.5 in Debian/jessie with CalDAV connection to SOGo, create a calendar entry in America/Los_Angeles timezone during DST (i.e. PDT).

  2. Log into SOGo Web UI and notice the entry is off by one hour.

Optionally:

  1. Try to fix time in SOGo Web UI.

  2. Refresh Evolution calendar, now time is off by one hour in Evolution.

Alternatively:

  1. Create a new entry in SOGo.

  2. Refresh Evolution, it's correct!

  3. Edit entry in Evolution.

  4. Refresh SOGo, entry in SOGo UI is now off by one hour.

Additional Information

Attached is an event created by Evolution (before being modified any further), it's for 2014-03-27 17:00 PDT (00:00 UTC). SOGo displays it as 18:00 PDT (01:00 UTC).

TagsNo tags attached.

Relationships

has duplicate 0003062 resolvedludovic Creating CalDAV event from Evolution results in one hour offset in SOGo UI 

Activities

gturner

gturner

2014-03-27 19:24

reporter  

20140327T230611Z-20370-1000-2306-35_btnwks10-20140327T230737Z.ics (15,053 bytes)   
BEGIN:VCALENDAR
PRODID:-//Ximian//NONSGML Evolution Calendar//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:/freeassociation.sourceforge.net/Tzfile/America/Los_Angeles
X-LIC-LOCATION:America/Los_Angeles
BEGIN:STANDARD
TZNAME:PST
DTSTART:19691026T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19700426T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19701025T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19710425T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19711031T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19720430T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19721029T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19730429T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19731028T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19740106T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19741027T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19750223T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19751026T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19760425T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19761031T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19770424T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19771030T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19780430T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19781029T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19790429T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19791028T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19800427T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19801026T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19810426T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19811025T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19820425T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19821031T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19830424T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19831030T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19840429T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19841028T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19850428T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19851027T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19860427T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19861026T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19870405T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19871025T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19880403T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19881030T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19890402T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19891029T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19900401T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19901028T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19910407T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19911027T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19920405T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19921025T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19930404T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19931031T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19940403T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19941030T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19950402T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19951029T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19960407T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19961027T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19970406T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19971026T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19980405T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19981025T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:19990404T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:19991031T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20000402T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20001029T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20010401T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20011028T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20020407T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20021027T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20030406T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20031026T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20040404T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20041031T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20050403T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20051030T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20060402T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20061029T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20070311T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20071104T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20080309T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20081102T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20090308T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20091101T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20100314T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20101107T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20110313T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20111106T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20120311T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20121104T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20130310T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20131103T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20140309T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20141102T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20150308T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20151101T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20160313T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20161106T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20170312T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20171105T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20180311T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20181104T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20190310T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20191103T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20200308T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20201101T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20210314T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20211107T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20220313T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20221106T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20230312T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20231105T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20240310T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20241103T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20250309T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20251102T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20260308T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20261101T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20270314T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20271107T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20280312T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20281105T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20290311T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20291104T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20300310T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20301103T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20310309T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20311102T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20320314T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20321107T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20330313T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20331106T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20340312T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20341105T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20350311T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20351104T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20360309T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20361102T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:PDT
DTSTART:20370308T020000
TZOFFSETFROM:-0800
TZOFFSETTO:-0700
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:PST
DTSTART:20371101T020000
TZOFFSETFROM:-0700
TZOFFSETTO:-0800
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
UID:20140327T230611Z-20370-1000-2306-35@btnwks10
DTSTAMP:20140327T215844Z
DTSTART;TZID=/freeassociation.sourceforge.net/Tzfile/America/Los_Angeles:20
 140327T170000
DTEND;TZID=/freeassociation.sourceforge.net/Tzfile/America/Los_Angeles:2014
 0327T170100
TRANSP:OPAQUE
SEQUENCE:2
SUMMARY:Test 17:00 PDT (00:00 UTC)
CLASS:PUBLIC
CREATED:20140327T230737Z
LAST-MODIFIED:20140327T230737Z
END:VEVENT
END:VCALENDAR
Henry

Henry

2014-05-12 03:17

reporter   ~0007015

Same here with Evolution 3.10.4 (Fedora 20).
TZ Europe/Vienna

Henry

Henry

2014-05-12 03:17

reporter   ~0007016

BEGIN:VCALENDAR
PRODID:-//Ximian//NONSGML Evolution Calendar//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:/freeassociation.sourceforge.net/Tzfile/Europe/Vienna
X-LIC-LOCATION:Europe/Vienna
BEGIN:STANDARD
TZNAME:CET
DTSTART:19481003T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19800406T000000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19800928T000000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19810329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19810927T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19820328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19820926T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19830327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19830925T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19840325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19840930T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19850331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19850929T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19860330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19860928T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19870329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19870927T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19880327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19880925T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19890326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19890924T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19900325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19900930T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19910331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19910929T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19920329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19920927T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19930328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19930926T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19940327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19940925T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19950326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19950924T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19960331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19961027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19970330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19971026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19980329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19981025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19990328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19991031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20000326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20001029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20010325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20011028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20020331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20021027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20030330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20031026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20040328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20041031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20050327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20051030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20060326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20061029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20070325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20071028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20080330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20081026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20090329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20091025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20100328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20101031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20110327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20111030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20120325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20121028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20130331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20131027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20140330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20141026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20150329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20151025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20160327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20161030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20170326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20171029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20180325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20181028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20190331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20191027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20200329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20201025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20210328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20211031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20220327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20221030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20230326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20231029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20240331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20241027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20250330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20251026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20260329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20261025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20270328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20271031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20280326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20281029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20290325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20291028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20300331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20301027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20310330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20311026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20320328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20321031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20330327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20331030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20340326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20341029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20350325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20351028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20360330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20361026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20370329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20371025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
UID:20140512T071103Z-11059-501-11963-0@w530
DTSTAMP:20140504T195337Z
DTSTART;TZID=/freeassociation.sourceforge.net/Tzfile/Europe/Vienna:20140512
T100000
DTEND;TZID=/freeassociation.sourceforge.net/Tzfile/Europe/Vienna:20140512T1
03000
TRANSP:OPAQUE
SEQUENCE:2
SUMMARY:Test at 10:00h Europe/Vienna
CLASS:PUBLIC
CREATED:20140512T071137Z
LAST-MODIFIED:20140512T071137Z
END:VEVENT
END:VCALENDAR

sysgone

sysgone

2014-08-05 17:55

reporter   ~0007389

I have that problem too, after upgrade gnustep-base-[runtime|common] from 1.22.1-4 to 1.24.6-2.
Downgrade resolved problem.

Bad working server:
root@poczta:~# dpkg -l|grep gnustep
ii gnustep-base-common 1.24.6-2 all GNUstep Base library - common files
ii gnustep-base-runtime 1.24.6-2 amd64 GNUstep Base library - daemons and tools
ii gnustep-common 2.6.6-2 amd64 Common files for the core GNUstep environment
ii gnustep-make 2.6.6-2 all GNUstep build system
ii libgnustep-base1.22 1.22.1-4 amd64 GNUstep Base library
ii libgnustep-base1.24 1.24.6-2 amd64 GNUstep Base library

Good one:
ii gnustep-base-common 1.22.1-4.3 all GNUstep Base library - common files
ii gnustep-base-runtime 1.22.1-4.3 amd64 GNUstep Base library - daemons and tools
ii gnustep-common 2.6.6-2 amd64 Common files for the core GNUstep environment
ii gnustep-make 2.6.6-2 all GNUstep build system
ii libgnustep-base-dev 1.22.1-4 amd64 GNUstep Base header files and development libraries
ii libgnustep-base1.22 1.22.1-4 amd64 GNUstep Base library

apt-get install gnustep-base-runtime=1.22.1-4
The following packages will be DOWNGRADED:
gnustep-base-runtime gnustep-base-common
dpkg: warning: downgrading gnustep-base-runtime from 1.24.6-2 to 1.22.1-4
dpkg: warning: downgrading gnustep-base-common from 1.24.6-2 to 1.22.1-4

/etc/init.d/sogo restart
[ ok ] Restarting SOGo: sogo.

And all works as before :)

martinsimovic

martinsimovic

2015-01-05 10:34

reporter   ~0007992

I seem to have the same issue on Ubuntu 12.04 (Precise)

ii gnustep-base-common 1.22.1-2ubuntu2 GNUstep Base library - common files
ii gnustep-base-runtime 1.22.1-2ubuntu2 GNUstep Base library - daemons and tools
ii gnustep-common 2.6.1-1 Common files for the core GNUstep environment
ii gnustep-make 2.6.1-1 Basic GNUstep Makefiles
ii libgnustep-base1.22 1.22.1-2ubuntu2 GNUstep Base library

ii sogo 2.2.13-1 a modern and scalable groupware
ii sogo-activesync 2.2.13-1 a modern and scalable groupware - ActiveSync module

martinsimovic

martinsimovic

2015-01-14 11:49

reporter   ~0008080

Creating CalDAV event from Evolution results in one hour offset in SOGo UI

Server: Ubuntu Precise 12.04_x64, SOGo 2.2.13 from inverse repositories
Client: Evolution, Ubuntu Trusty 14.04_x64, using Evolution Calendar via CalDAV protocol

  1. Make sure timezone set in Evolution matches the one set in SOGo web interface
  2. Create an event in evolution Calendar
  3. Open SOGo web interface and view the same event

Time of the event is one hour off.

ludovic

ludovic

2015-01-14 11:50

administrator   ~0008081

Show the raw source of a sample event that exposes the issue.

martinsimovic

martinsimovic

2015-01-20 11:45

reporter   ~0008098

This was created as "Test Event" at 09:00 AM BST from Evolution yet it shows up as 08:00 in SOGo.

BEGIN:VCALENDAR
PRODID:-//Ximian//NONSGML Evolution Calendar//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:/freeassociation.sourceforge.net/Tzfile/Europe/London
X-LIC-LOCATION:Europe/London
BEGIN:STANDARD
TZNAME:BST
DTSTART:19681027T000000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:STANDARD
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19711031T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19720319T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19721029T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19730318T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19731028T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19740317T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19741027T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19750316T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19751026T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19760321T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19761024T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19770320T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19771023T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19780319T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19781029T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19790318T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19791028T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19800316T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19801026T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19810329T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19811025T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19820328T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19821024T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19830327T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19831023T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19840325T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19841028T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19850331T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19851027T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19860330T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19861026T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19870329T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19871025T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19880327T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19881023T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19890326T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19891029T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19900325T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19901028T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19910331T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19911027T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19920329T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19921025T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19930328T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19931024T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19940327T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19941023T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19950326T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19951022T020000
TZOFFSETFROM:+0000
TZOFFSETTO:+0000
END:STANDARD
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19960101T000000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19960331T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19961027T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19970330T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19971026T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19980329T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19981025T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:19990328T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:19991031T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20000326T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20001029T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20010325T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20011028T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20020331T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20021027T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20030330T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20031026T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20040328T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20041031T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20050327T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20051030T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20060326T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20061029T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20070325T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20071028T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20080330T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20081026T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20090329T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20091025T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20100328T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20101031T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20110327T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20111030T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20120325T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20121028T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20130331T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20131027T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20140330T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20141026T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20150329T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20151025T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20160327T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20161030T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20170326T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20171029T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20180325T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20181028T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20190331T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20191027T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20200329T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20201025T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20210328T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20211031T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20220327T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20221030T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20230326T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20231029T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20240331T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20241027T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20250330T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20251026T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20260329T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20261025T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20270328T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20271031T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20280326T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20281029T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20290325T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20291028T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20300331T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20301027T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20310330T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20311026T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20320328T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20321031T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20330327T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20331030T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20340326T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20341029T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20350325T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20351028T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20360330T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20361026T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:BST
DTSTART:20370329T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:GMT
DTSTART:20371025T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
UID:20150120T164139Z-2788-1000-1868-18@ubuntu
DTSTAMP:20150120T163853Z
DTSTART;TZID=/freeassociation.sourceforge.net/Tzfile/Europe/London:20150121
T090000
DTEND;TZID=/freeassociation.sourceforge.net/Tzfile/Europe/London:20150121T1
00000
TRANSP:OPAQUE
SEQUENCE:2
SUMMARY:Test Event
CLASS:PUBLIC
CREATED:20150120T164209Z
LAST-MODIFIED:20150120T164209Z
END:VEVENT
END:VCALENDAR

danbet

danbet

2016-03-21 07:45

reporter   ~0009800

Perhaps you should "internally" change the timezone. If the event has /freeassociation.sourceforge.net/Tzfile/Europe/London then change to Europe/London in your program logic.
I don't know why Evolution use this tzid format, but if I change it with Thunderbird/Lightning then Evolution is not able to handle exceptions (EXDATE) anymore.

cnaumer

cnaumer

2016-04-20 06:16

reporter   ~0009992

This also just hit me. Is there a chance to get this fixed? Or does someone know how to change the behavior of Evolution?

Marcel

Marcel

2016-04-20 09:21

reporter   ~0009994

@danbet: It does not seem to be related to the /freeassociation… prefix. The same problem happens here as well. Could it be that the "long form" of the VTIMEZONE causes an interpretation problem in SOGo? (Here an example with Europe/Berlin): [berlin.txt]

Marcel

Marcel

2016-04-20 09:21

reporter  

berlin.txt (12,722 bytes)   
BEGIN:VCALENDAR
PRODID:-//Ximian//NONSGML Evolution Calendar//EN
VERSION:2.0
METHOD:REQUEST
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:Europe/Berlin
X-LIC-LOCATION:Europe/Berlin
BEGIN:STANDARD
TZNAME:CET
DTSTART:19491002T030000
TZOFFSETFROM:+0100
TZOFFSETTO:+0100
END:STANDARD
BEGIN:STANDARD
TZNAME:CET
DTSTART:19800101T000000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19800406T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19800928T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19810329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19810927T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19820328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19820926T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19830327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19830925T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19840325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19840930T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19850331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19850929T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19860330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19860928T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19870329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19870927T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19880327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19880925T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19890326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19890924T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19900325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19900930T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19910331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19910929T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19920329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19920927T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19930328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19930926T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19940327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19940925T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19950326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19950924T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19960331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19961027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19970330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19971026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19980329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19981025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:19990328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:19991031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20000326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20001029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20010325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20011028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20020331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20021027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20030330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20031026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20040328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20041031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20050327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20051030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20060326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20061029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20070325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20071028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20080330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20081026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20090329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20091025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20100328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20101031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20110327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20111030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20120325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20121028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20130331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20131027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20140330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20141026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20150329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20151025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20160327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20161030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20170326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20171029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20180325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20181028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20190331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20191027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20200329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20201025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20210328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20211031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20220327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20221030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20230326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20231029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20240331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20241027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20250330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20251026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20260329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20261025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20270328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20271031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20280326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20281029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20290325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20291028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20300331T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20301027T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20310330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20311026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20320328T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20321031T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20330327T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20331030T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20340326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20341029T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20350325T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20351028T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20360330T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20361026T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
DTSTART:20370329T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
DTSTART:20371025T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
DTSTAMP:20160415T091507Z
UID:aaca983e-2934-40e9-aa7b-f8d50061b18d
DTSTART;TZID=Europe/Berlin:20160419T130500
DTEND;TZID=Europe/Berlin:20160419T140500
SUMMARY:(Hidden)
STATUS:CONFIRMED
ORGANIZER;CN=Marcel:mailto:hidden@example.com
CLASS:PUBLIC
TRANSP:OPAQUE
SEQUENCE:5
LAST-MODIFIED:20160419T113003Z
LOCATION:(Hidden)
DESCRIPTION:(Hidden)
ATTENDEE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT;CUTYPE=INDIVIDUAL;RSVP=
 TRUE:mailto:hidden@example.org
BEGIN:VALARM
TRIGGER;VALUE=DURATION:-PT15M
ACTION:DISPLAY
DESCRIPTION:(Hidden)
X-EVOLUTION-ALARM-UID:20160415T095505Z-1482-1000-1462-36@Yoghurt
END:VALARM
BEGIN:VALARM
TRIGGER;VALUE=DURATION:-PT5M
ACTION:DISPLAY
DESCRIPTION:(Hidden)
X-EVOLUTION-ALARM-UID:20160415T095505Z-1482-1000-1462-37@Yoghurt
END:VALARM
END:VEVENT
END:VCALENDAR
berlin.txt (12,722 bytes)   
tfu

tfu

2016-04-20 15:46

reporter   ~0009995

The sample events contain a VTIMEZONE definition which is currently NOT supported by sogo. i.e. multiple periods in VTIMEZONE are not supported

lexsimon

lexsimon

2016-04-29 17:22

reporter   ~0010039

Hello,

I'm also interessed by the resolution of this problem (using Evolution which apparently use libical to handle this kind of data).

Thank you.

Marcel

Marcel

2016-06-09 11:21

reporter   ~0010341

If it is unlikely that SOGo will deal with the long form, then where's a place to report this for Evolution? At least vzic from the libical team already does create the short form.
https://github.com/libical/vzic

ludovic

ludovic

2016-06-09 11:23

administrator   ~0010342

We have a patch to handle this. It'll likely be part of 2.3.12.

ludovic

ludovic

2016-06-09 15:03

administrator   ~0010345

We've just pushed a fix for this. Please test the upcoming nightly builds (available in about 12 hours from now) on SOGo v2.3 (NOT SOGo v3) and report your findings.

ludovic

ludovic

2016-06-10 08:40

administrator   ~0010346

Also fixed for 3.1.3.

Related Changesets

sogo: v2 49a60469

2016-06-09 15:01:35

ludovic

Details Diff
(fix) handle flattened timezone definitions (fixes 0002690) Affected Issues
0002690
mod - SOPE/NGCards/iCalTimeZone.m Diff File
mod - SOPE/NGCards/iCalTimeZonePeriod.m Diff File

sogo: master f607cb03

2016-06-09 15:01:35

ludovic

Details Diff
(fix) handle flattened timezone definitions (fixes 0002690) Affected Issues
0002690
mod - SOPE/NGCards/iCalTimeZone.m Diff File
mod - SOPE/NGCards/iCalTimeZonePeriod.m Diff File

Issue History

Date Modified Username Field Change
2014-03-27 19:24 gturner New Issue
2014-03-27 19:24 gturner File Added: 20140327T230611Z-20370-1000-2306-35_btnwks10-20140327T230737Z.ics
2014-05-12 03:17 Henry Note Added: 0007015
2014-05-12 03:17 Henry Note Added: 0007016
2014-08-05 17:55 sysgone Note Added: 0007389
2015-01-05 10:34 martinsimovic Note Added: 0007992
2015-01-14 11:44 ludovic Relationship added has duplicate 0003062
2015-01-14 11:49 martinsimovic Note Added: 0008080
2015-01-14 11:50 ludovic Note Added: 0008081
2015-01-20 11:45 martinsimovic Note Added: 0008098
2016-03-21 07:45 danbet Note Added: 0009800
2016-04-20 06:16 cnaumer Note Added: 0009992
2016-04-20 09:21 Marcel Note Added: 0009994
2016-04-20 09:21 Marcel File Added: berlin.txt
2016-04-20 15:46 tfu Note Added: 0009995
2016-04-29 17:22 lexsimon Note Added: 0010039
2016-06-09 11:21 Marcel Note Added: 0010341
2016-06-09 11:23 ludovic Note Added: 0010342
2016-06-09 15:03 ludovic Changeset attached => sogo v2 49a60469
2016-06-09 15:03 ludovic Assigned To => ludovic
2016-06-09 15:03 ludovic Resolution open => fixed
2016-06-09 15:03 ludovic Note Added: 0010345
2016-06-10 08:31 ludovic Changeset attached => sogo master f607cb03
2016-06-10 08:40 ludovic Note Added: 0010346
2016-06-10 08:40 ludovic Status new => resolved
2016-06-10 08:40 ludovic Fixed in Version => 2.3.12